# Search

The following fields can be sent as part of a request. For any check to be carried out, at least the 'forename' and 'surname' fields must be provided.

| Parameter            | Description                                                                                                                                                                   | Notes                                                                                                       |
| -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| `current_address`    | Single object containing the current address for the person. The subfields 'city', 'country', 'first\_date\_of\_residence', 'postcode', 'premise' and 'street' are available. | Residence dates are provided in the MM/YYYY format.                                                         |
| `day_of_birth`       | The day of the year the person was born                                                                                                                                       | Partial dates of birth are allowed if the full information is not available                                 |
| `month_of_birth`     | The month the person was born                                                                                                                                                 |                                                                                                             |
| `year_of_birth`      | The year the person was born                                                                                                                                                  |                                                                                                             |
| `driving_license`    | Single object containing one field, 'number' - the driving license number                                                                                                     |                                                                                                             |
| `forename`           | The persons first name                                                                                                                                                        |                                                                                                             |
| `gender`             | The persons gender                                                                                                                                                            |                                                                                                             |
| `national_insurance` | Single object containing one field, 'number' - the persons National Insurance number                                                                                          |                                                                                                             |
| `passport`           | Single object containing the following fields: 'day\_of\_expiry', 'month\_of\_expiry', 'number' and 'year\_of\_expiry'                                                        |                                                                                                             |
| `previous_addresses` | Array of objects representing known previous addresses. Fields are the same as for 'current\_address'                                                                         |                                                                                                             |
| `reference`          | User-defined field, can be set to any string                                                                                                                                  | The reference is stored alongside each check to allow tagging, client-provided reference numbers or similar |
| `surname`            | The persons surname                                                                                                                                                           |                                                                                                             |
| `title`              | Any known title for the person                                                                                                                                                | 'Mr', 'Ms' etc                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/aml/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
